Get document review
GET/documents/:documentId/reviews/:reviewId
Get a document review by review id
Request
Path Parameters
Document Identifier
Review Identifier
Query Parameters
Site Identifier
Artifact Document Identifier
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
- PENDING: Review has been created and is waiting for one or more decisions.
- IN_PROGRESS: Review has been claimed or at least one decision has been submitted, but completion requirements are not yet satisfied.
- COMPLETED: Completion requirements are satisfied.
- CANCELLED: Review was cancelled before completion.
- SUPERSEDED: Review was replaced by another review, usually because the artifact/document changed.
review
object
Document Identifier
Artifact Identifier
Review Identifier
Review category
Status of Document Review:
Possible values: [PENDING, IN_PROGRESS, COMPLETED, CANCELLED, SUPERSEDED]
Optional approval groups used for additional credential verification when submitting a decision to POST /documents/{documentId}/reviews/{reviewId}/decisions. The caller must belong to at least one of the listed groups, in addition to satisfying the existing authorization requirements.
Number of decisions required to complete the review
User who added review
Review comments
Inserted Timestamp
Last Modified Timestamp
{
"review": {
"documentId": "string",
"artifactId": "string",
"reviewId": "string",
"reviewCategory": "string",
"reviewStatus": "PENDING",
"approvalGroups": [
"string"
],
"requiredDecisions": 0,
"userId": "string",
"comments": "string",
"insertedDate": "string",
"lastModifiedDate": "string"
}
}